import { ValueOf } from "./lib/types";
export declare const vulnStrategy: {
    readonly npm: "NPM_AUDIT";
    readonly node: "SECURITY_WG";
    readonly none: "NONE";
};
export declare type InputStrategy = keyof typeof vulnStrategy;
export declare type OutputStrategy = ValueOf<typeof vulnStrategy>;
export declare const vulnSeverity: {
    readonly MEDIUM: "medium";
    readonly HIGH: "high";
    readonly CRITICAL: "critical";
    readonly ALL: "all";
};
export declare type Severity = ValueOf<typeof vulnSeverity>;
export declare const warnings: {
    readonly ERROR: "error";
    readonly OFF: "off";
    readonly WARNING: "warning";
};
export declare type Warnings = ValueOf<typeof warnings>;
export declare const reporterTarget: {
    readonly CONSOLE: "console";
    readonly HTML: "html";
};
export declare type ReporterTarget = ValueOf<typeof reporterTarget>;
export declare type Configuration = {
    rootDir: string;
    strategy: ValueOf<typeof vulnStrategy>;
    reporters: ReporterTarget[];
    vulnerabilitySeverity: ValueOf<typeof vulnSeverity>;
    warnings: Warnings | Record<string, Warnings>;
};
export declare const DEFAULT_RUNTIME_CONFIGURATION: Configuration;
